package org.apache.bcel.util;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.util.Arrays;
import java.util.function.Function;
import org.apache.bcel.util.ClassPath;
import org.apache.bcel.util.ModularRuntimeImage;

class JrtModules extends ClassPath.AbstractPathEntry {
  private final ModularRuntimeImage modularRuntimeImage;
  
  private final ClassPath.JrtModule[] modules;
  
  public JrtModules(String path) throws IOException {
    this.modularRuntimeImage = new ModularRuntimeImage();
    this.modules = (ClassPath.JrtModule[])this.modularRuntimeImage.list(path).stream().map(org.apache.bcel.util.ClassPath.JrtModule::new).toArray(x$0 -> new ClassPath.JrtModule[x$0]);
  }
  
  public void close() throws IOException {
    if (this.modules != null)
      for (ClassPath.JrtModule module : this.modules)
        module.close();  
    if (this.modularRuntimeImage != null)
      this.modularRuntimeImage.close(); 
  }
  
  ClassPath.ClassFile getClassFile(String name, String suffix) {
    for (ClassPath.JrtModule module : this.modules) {
      ClassPath.ClassFile classFile = module.getClassFile(name, suffix);
      if (classFile != null)
        return classFile; 
    } 
    return null;
  }
  
  URL getResource(String name) {
    for (ClassPath.JrtModule module : this.modules) {
      URL url = module.getResource(name);
      if (url != null)
        return url; 
    } 
    return null;
  }
  
  InputStream getResourceAsStream(String name) {
    for (ClassPath.JrtModule module : this.modules) {
      InputStream inputStream = module.getResourceAsStream(name);
      if (inputStream != null)
        return inputStream; 
    } 
    return null;
  }
  
  public String toString() {
    return Arrays.toString((Object[])this.modules);
  }
}
